import { NgZone, ElementRef, OnInit, OnDestroy, AfterViewInit } from '@angular/core';
export declare class TreeListComponent implements OnInit, AfterViewInit, OnDestroy {
    private zone;
    private elementRef;
    options: kendo.ui.TreeListOptions;
    treelistEl: ElementRef;
    private _treelist;
    constructor(zone: NgZone, elementRef: ElementRef);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    readonly dataSource: any;
    readonly content: JQuery;
    readonly thead: JQuery;
    readonly tbody: JQuery;
    addRow(parentRow?: string | Element | JQuery): void;
    editRow(row: string | JQuery): void;
    removeRow(row: string | Element | JQuery): void;
    expand(row: string | Element | JQuery): void;
    select(row: string | Element | JQuery): JQuery;
    itemFor(model: kendo.data.TreeListModel | Object): JQuery;
    dataItem(row: string | Element | JQuery): kendo.data.TreeListModel;
    clearSelection(): void;
}
